aboutsummaryrefslogtreecommitdiffstats
path: root/main/dovecot/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2011-08-02 07:25:37 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2011-08-02 07:26:14 +0000
commit1bf1ef9d0cc705b9807ff4cf375b3ef7f9c944bd (patch)
tree91608a82b81d154f3faa467e97b91d49bec8d7c3 /main/dovecot/APKBUILD
parent056b24231069c7506c82400593a1b1d396176a7e (diff)
downloadaports-1bf1ef9d0cc705b9807ff4cf375b3ef7f9c944bd.tar.gz
aports-1bf1ef9d0cc705b9807ff4cf375b3ef7f9c944bd.tar.bz2
aports-1bf1ef9d0cc705b9807ff4cf375b3ef7f9c944bd.tar.xz
main/dovecot: enable plugins for ldap and gssapi
Diffstat (limited to 'main/dovecot/APKBUILD')
-rw-r--r--main/dovecot/APKBUILD24
1 files changed, 20 insertions, 4 deletions
diff --git a/main/dovecot/APKBUILD b/main/dovecot/APKBUILD
index 90528e8b65..256d3ede46 100644
--- a/main/dovecot/APKBUILD
+++ b/main/dovecot/APKBUILD
@@ -2,7 +2,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=dovecot
pkgver=2.0.13
-pkgrel=0
+pkgrel=1
pkgdesc="IMAP and POP3 server"
url="http://www.dovecot.org/"
arch="all"
@@ -11,10 +11,11 @@ depends="openssl logrotate"
pkgusers="dovecot dovenull"
pkggroups="dovecot dovenull"
makedepends="libcap-dev zlib-dev openssl-dev bzip2-dev postgresql-dev
- mysql-dev sqlite-dev"
+ mysql-dev sqlite-dev heimdal-dev openldap-dev"
install="dovecot.pre-install dovecot.post-install"
subpackages="$pkgname-sample-config:config $pkgname-doc $pkgname-dev
- $pkgname-pgsql $pkgname-mysql $pkgname-sqlite"
+ $pkgname-pgsql $pkgname-mysql $pkgname-sqlite $pkgname-gssapi
+ $pkgname-ldap"
source="http://www.dovecot.org/releases/2.0/$pkgname-$pkgver.tar.gz
dovecot.logrotate
dovecot.initd
@@ -33,6 +34,8 @@ build() {
--sysconfdir=/etc \
--mandir=/usr/share/man \
--infodir=/usr/share/info \
+ --with-gssapi=plugin \
+ --with-ldap=plugin \
--with-sql=plugin \
--with-mysql \
--with-sqlite \
@@ -44,7 +47,10 @@ build() {
package() {
cd "$srcdir/$pkgname-$pkgver"
- make DESTDIR="$pkgdir" install
+ make DESTDIR="$pkgdir" install || return 1
+ rm "$pkgdir"/usr/lib/dovecot/*.la \
+ "$pkgdir"/usr/lib/dovecot/*/*.la || return 1
+
install -d "$pkgdir"/var/run/dovecot \
"$pkgdir"/etc/ssl/dovecot
install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
@@ -89,6 +95,16 @@ sqlite() {
_mv $(cd "$pkgdir" && find usr -name '*sqlite.so')
}
+gssapi() {
+ pkgdesc="GSSAPI auth plugin for dovecot"
+ _mv $(cd "$pkgdir" && find usr -name '*gssapi.so')
+}
+
+ldap() {
+ pkgdesc="LDAP plugin for dovecot"
+ _mv $(cd "$pkgdir" && find usr -name '*ldap.so')
+}
+
config() {
pkgdesc="Sample configuration files for dovecot"
install="dovecot-sample-config.post-install"